Antiprism 0.23

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# sch_axis Class Reference

Class for a principal axis or mirror symmetry in Schoenflies notation. More...

`#include <symmetry.h>`

Collaboration diagram for sch_axis:
[legend]

List of all members.

## Public Member Functions
| sch_axis (const mat3d &m=mat3d())
| Constructor.
bool | operator< (const sch_axis &s) const
| Less than.
void | set_axis (vec3d ax)
| Set the principal axis.
const vec3d & | get_axis () const
| Get the principal axis.
void | set_perp (vec3d perp_ax)
| Set the perpendicular axis.
const vec3d & | get_perp () const
| Get the perpendicular axis.
void | set_sym_type (int type)
| Set the symmetry type for the axis.
int | get_sym_type () const
| Get the symmetry type for the axis.
bool | has_horz_mirror () const
| Check for horizontal mirror.
void | set_nfold (int n)
| Set the n-fold order of the axis.
int | get_nfold () const
| Get the n-fold order of the axis.
void | dump () const
| Dump.

## Detailed Description

Class for a principal axis or mirror symmetry in Schoenflies notation.

## Constructor & Destructor Documentation

sch_axis::sch_axis | ( | const mat3d & | m = `mat3d()` | ) |

Constructor.

Set up with the smallest symmetry type that includes a particular transfomation.

Parameters:

  m | the transformation.

## Member Function Documentation

void sch_axis::dump | ( |  | ) | const

Dump.

Print the object data to `stdout` for debugging.

const vec3d& sch_axis::get_axis | ( |  | ) | const`[inline]`

Get the principal axis.

Returns:
  the axis.

int sch_axis::get_nfold | ( |  | ) | const`[inline]`

Get the n-fold order of the axis.

If the symmetry type is `sym_S` and the axis has rotational n-fold symmetry then 2n is returned.

Returns:
  the n-fold order of the axis.

const vec3d& sch_axis::get_perp | ( |  | ) | const`[inline]`

Get the perpendicular axis.

Not all symmetry types have a perpendicular axis.

Returns:
  The perpendicular axis.

int sch_axis::get_sym_type | ( |  | ) | const`[inline]`

Get the symmetry type for the axis.

Returns:
  the symmetry type of the axis as the Schoenflies identifier.

bool sch_axis::has_horz_mirror | ( |  | ) | const`[inline]`

Check for horizontal mirror.

Returns:
  `true` if there is a horizontal mirror, otherwise `false`.

bool sch_axis::operator< | ( | const sch_axis & | s | ) | const

Less than.

Only for containers that need it

Parameters:

  s | the symmetry axis to compare for less than.

Returns:
  `true` if this axis is less than
  - s, otherwise `false`.

void sch_axis::set_axis | ( | vec3d | ax | ) | `[inline]`

Set the principal axis.

Parameters:

  ax | the axis.

void sch_axis::set_nfold | ( | int | n | ) | `[inline]`

Set the n-fold order of the axis.

If the symmetry type is `sym_S` then the axis has rotational n/2-fold symmetry.

Parameters:

  n | the n-fold order of the axis.

void sch_axis::set_perp | ( | vec3d | perp_ax | ) | `[inline]`

Set the perpendicular axis.

Parameters:

  perp_ax | the axis.

void sch_axis::set_sym_type | ( | int | type | ) | `[inline]`

Set the symmetry type for the axis.

Parameters:

  type | the symmetry type of the axis as the Schoenflies identifier.

The documentation for this class was generated from the following files:

- base/symmetry.h
- base/symmetry.cc